from gturtle import *
from random import randint

tf = TurtleFrame()
rw1 = Turtle(tf)
rw2 = Turtle(tf)
rw3 = Turtle(tf)

Winkel =   1     # Winkelauflösung
Laenge =  10     # Länge eines Schritts in Pixel
N      = 200     # Länge des Random Walks
rw1.setPenWidth(2)
rw2.setPenWidth(2)
rw3.setPenWidth(2)

#rw1.hideTurtle()  # mit hideTurtle() wird die Graphikausgabe beschleunigt
#rw2.hideTurtle()  # dazu die Kommentarzeichen (#) am Anfang der Zeile 
#rw3.hideTurtle()  # entfernen

rw1.setPenColor("blue")
rw2.setPenColor("green")
rw3.setPenColor("pink")

repeat N:
    i = randint(1,360/Winkel) # Zufallszahl
    rw1.heading(i*Winkel)     # Richtung
    rw1.forward(Laenge)       # Verschiebung
    i = randint(1,360/Winkel) # Zufallszahl
    rw2.heading(i*Winkel)     # Richtung
    rw2.forward(Laenge)       # Verschiebung
    i = randint(1,360/Winkel) # Zufallszahl
    rw3.heading(i*Winkel)     # Richtung
    rw3.forward(Laenge)       # Verschiebung

dx1 = rw1.getX()/Laenge  # End-End-Abstand in x-Richtung berechnen
dy1 = rw1.getY()/Laenge  # End-End-Abstand in y-Richtung berechnen
dx2 = rw2.getX()/Laenge  # End-End-Abstand in x-Richtung berechnen
dy2 = rw2.getY()/Laenge  # End-End-Abstand in y-Richtung berechnen
dx3 = rw3.getX()/Laenge  # End-End-Abstand in x-Richtung berechnen
dy3 = rw3.getY()/Laenge  # End-End-Abstand in y-Richtung berechnen

rw1.setPenColor("red")
rw1.moveTo(0,0)         # End-End-Abstand zeichnen
rw2.setPenColor("red")
rw2.moveTo(0,0)         # End-End-Abstand zeichnen
rw3.setPenColor("red")
rw3.moveTo(0,0)         # End-End-Abstand zeichnen

# Mittelwert für R2 für die drei Random Walks
R2 = (dx1**2+dy1**2 + dx2**2+dy2**2 + dx3**2+dy3**2)/3
print R2,N
  
